Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.compiler.injection
[Java] Class DefaultGrailsDomainClassInjector

    java.lang.Object
      org.codehaus.groovy.grails.compiler.injection.DefaultGrailsDomainClassInjector

All Implemented Interfaces:
  GrailsArtefactClassInjector, GrailsDomainClassInjector

    @AstTransformer
    public class DefaultGrailsDomainClassInjector
    extends java.lang.Object

Default implementation of domain class injector interface that adds the 'id' and 'version' properties and other previously boilerplate code.

Authors:
  Graeme Rocher

Since:
  0.2

Method Summary
`java.lang.String[]` | `getArtefactTypes()`
`void` | `performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`
`void` | `performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`
`void` | `performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`
`void` | `performInjectionOnAnnotatedEntity(org.codehaus.groovy.ast.ClassNode classNode)`
`boolean` | `shouldInject(java.net.URL url)`
`protected boolean` | `shouldInjectClass(org.codehaus.groovy.ast.ClassNode classNode)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getArtefactTypes

    public java.lang.String[] getArtefactTypes()

### performInjection

    public void performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)

### performInjection

    public void performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

### performInjectionOnAnnotatedClass

    public void performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

### performInjectionOnAnnotatedEntity

    public void performInjectionOnAnnotatedEntity(org.codehaus.groovy.ast.ClassNode classNode)

### shouldInject

    public boolean shouldInject(java.net.URL url)

### shouldInjectClass

    protected boolean shouldInjectClass(org.codehaus.groovy.ast.ClassNode classNode)

Groovy Documentation